summaryrefslogtreecommitdiffstats
path: root/packages/apex-pdp-package-full/src/main/package/control/prerm
diff options
context:
space:
mode:
Diffstat (limited to 'packages/apex-pdp-package-full/src/main/package/control/prerm')
-rw-r--r--packages/apex-pdp-package-full/src/main/package/control/prerm38
1 files changed, 38 insertions, 0 deletions
diff --git a/packages/apex-pdp-package-full/src/main/package/control/prerm b/packages/apex-pdp-package-full/src/main/package/control/prerm
new file mode 100644
index 000000000..3729af6a2
--- /dev/null
+++ b/packages/apex-pdp-package-full/src/main/package/control/prerm
@@ -0,0 +1,38 @@
+#! /bin/sh
+
+#-------------------------------------------------------------------------------
+# ============LICENSE_START=======================================================
+# Copyright (C) 2016-2018 Ericsson. All rights reserved.
+# ================================================================================
+# Licensed under the Apache License, Version 2.0 (the "License");
+# you may not use this file except in compliance with the License.
+# You may obtain a copy of the License at
+#
+# http://www.apache.org/licenses/LICENSE-2.0
+#
+# Unless required by applicable law or agreed to in writing, software
+# distributed under the License is distributed on an "AS IS" BASIS,
+# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
+# See the License for the specific language governing permissions and
+# limitations under the License.
+#
+# SPDX-License-Identifier: Apache-2.0
+# ============LICENSE_END=========================================================
+#-------------------------------------------------------------------------------
+
+#
+# This script is called before package software is removed
+#
+
+echo "**********************prerm********************"
+echo "arguments $*"
+echo "***********************************************"
+
+
+# Check if Apex is running
+running_check=`ps -ef | egrep "org.onap.policy.apex.service.engine.main.ApexMain" | egrep -v grep`
+if [ ! -z "$running_check" -a "$running_check" != "" ]
+then
+ echo "Apex processes are running, stop Apex prior to package removal"
+ exit 1
+fi